## org.jboss.util
Class ClassPathExtension

    java.lang.Object
      |
      +--org.jboss.util.ClassPathExtension

All Implemented Interfaces:
  ClassPathExtensionMBean, javax.management.MBeanRegistration

public class ClassPathExtension
extends java.lang.Object
implements ClassPathExtensionMBean, javax.management.MBeanRegistration

Add URL's to the MLet classloader

Version:
  $Revision: 1.10.6.1 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:
  <related>

Field Summary
`static java.lang.String` `OBJECT_NAME`

Constructor Summary
`ClassPathExtension(java.lang.String url)`
`ClassPathExtension(java.lang.String url, java.lang.String name)`

Method Summary
`void` `postDeregister()`
`void` `postRegister(java.lang.Boolean registrationDone)`
`void` `preDeregister()`
`javax.management.ObjectName` `preRegister(javax.management.MBeanServer server, javax.management.ObjectName objName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Constructor Detail

### ClassPathExtension

    public ClassPathExtension(java.lang.String url)

### ClassPathExtension

    public ClassPathExtension(java.lang.String url,
                              java.lang.String name)

Method Detail

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName objName)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

Copyright © 2000 The JBoss Organization. All Rights Reserved.